<html>
<body>
<pre>
<h1>礦ision Build Log</h1>
<h2>Tool Versions:</h2>
IDE-Version: μVision V5.39.0.0
Copyright (C) 2023 ARM Ltd and ARM Germany GmbH. All rights reserved.
License Information: Guoliang Wang, Soochow University, LIC=HN0AE-5LV6L-PCBJ8-33USB-IBFK3-3UEMY
 
Tool Versions:
Toolchain:       MDK-ARM Plus  Version: 5.39.0.0
Toolchain Path:  C:\Environments\Keil_v5\ARM\ARMCLANG\Bin
C Compiler:      ArmClang.exe V6.21
Assembler:       Armasm.exe V6.21
Linker/Locator:  ArmLink.exe V6.21
Library Manager: ArmAr.exe V6.21
Hex Converter:   FromElf.exe V6.21
CPU DLL:         SARMCM3.DLL V5.39.0.0
Dialog DLL:      DCM.DLL V1.17.5.0
Target DLL:      CMSIS_AGDI.dll V1.33.16.0
Dialog DLL:      TCM.DLL V1.56.4.0
 
<h2>Project:</h2>
E:\嵌入式\实验一\寄存器-联合体操作\bh-f103.uvprojx
Project File Date:  03/25/2024

<h2>Output:</h2>
*** Using Compiler 'V6.21', folder: 'C:\Environments\Keil_v5\ARM\ARMCLANG\Bin'
Build target 'Target 1'
main/main.c(1): warning: In file included from...
main/../labriry/stm32f10x.h(167): warning: no newline at end of file [-Wnewline-eof]
  167 | #endif
      |       ^
main/main.c(5): warning: no previous extern declaration for non-static variable 'SysTim' [-Wmissing-variable-declarations]
    5 | uint16_t SysTim = 0;
      |          ^
main/main.c(5): note: declare 'static' if the variable is not intended to be used outside of this translation unit
    5 | uint16_t SysTim = 0;
      | ^
main/main.c(30): warning: implicit conversion changes signedness: 'int' to 'uint32_t' (aka 'unsigned long') [-Wsign-conversion]
   30 |         GPIOB->CRL &= ~( 0x0F<< (4*0));         //娓呯┖鎺у埗PB0鐨勭鍙ｄ綅
      |                    ~~ ^~~~~~~~~~~~~~~~
main/main.c(55): warning: no previous prototype for function 'SysTick_Handler' [-Wmissing-prototypes]
   55 | void SysTick_Handler(void)
      |      ^
main/main.c(55): note: declare 'static' if the function is not intended to be used outside of this translation unit
   55 | void SysTick_Handler(void)
      | ^
      | static 
main/main.c(65): warning: no previous prototype for function 'SystemInit' [-Wmissing-prototypes]
   65 | void SystemInit(void)
      |      ^
main/main.c(65): note: declare 'static' if the function is not intended to be used outside of this translation unit
   65 | void SystemInit(void)
      | ^
      | static 
main/main.c(6): warning: no previous extern declaration for non-static variable 'flag' [-Wmissing-variable-declarations]
    6 | Flag8 flag;
      |       ^
main/main.c(6): note: declare 'static' if the variable is not intended to be used outside of this translation unit
    6 | Flag8 flag;
      | ^
6 warnings generated.
compiling main.c...
linking...
Program Size: Code=780 RO-data=320 RW-data=0 ZI-data=1640  
".\Objects\bh-f103.axf" - 0 Error(s), 6 Warning(s).

<h2>Software Packages used:</h2>

Package Vendor: Keil
                https://www.keil.com/pack/Keil.STM32F1xx_DFP.2.4.1.pack
                Keil::STM32F1xx_DFP@2.4.1
                STMicroelectronics STM32F1 Series Device Support, Drivers and Examples

<h2>Collection of Component include folders:</h2>
  C:/Users/zx108wl/AppData/Local/arm/packs/Keil/STM32F1xx_DFP/2.4.1/Device/Include

<h2>Collection of Component Files used:</h2>
Build Time Elapsed:  00:00:01
</pre>
</body>
</html>
